<template>
    <div>
        <h1>Profil</h1>
        <div v-if="profil">
            <div class="uk-grid ">
                <Conseils
                    :conseils="profil.conseils"
                    :eleveId="this.$auth.user.id"
                    :modifiable="false"
                />
                <InformationSuivi :suivi="profil.suiviEleve" />
            </div>
            <h3>Club</h3>
            {{ profil.club }}
        </div>
    </div>
</template>

<script lang="ts">
import Vue from 'vue';
import Component from 'vue-class-component';
import Axios from '@/auth/axiosAuth';
import InformationsGenerales from './InformationsGenerales.vue';
import Conseils from '@/views/Enseignement/suivieleve/Conseils.vue';
import InformationSuivi from '@/views/Enseignement/suivieleve/InformationSuivi.vue';
import router from '@/router';
import Utilisateur from '@/classes/Utilisateur';
@Component({
    components: { InformationsGenerales, Conseils, InformationSuivi }
})
export default class Profil extends Vue {
    private profil: Record<string, any> = null;

    async beforeRouteEnter(to, from, next) {
        next(vm => {
            vm.getProfil();
        });
    }

    private getProfil() {
        if (this.$auth.isConnecte()) {
            Axios.get(
                'utilisateur/profil/' + this.$auth.user.getId(),
                response => (this.profil = response.data)
            );
        } else {
            setTimeout(() => {
                this.getProfil();
            }, 100);
        }
    }
}
</script>
